summary refs log tree commit diff
path: root/home/.bin/sup
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2017-07-25 22:10:32 -0400
committerJune McEnroe <june@causal.agency>2017-07-25 22:10:32 -0400
commitd3aa30927d962a2e8550c5979bce6b3bdb6dda2d (patch)
tree0afd62542d8f2c01926e380977fa1bd7dff5f7a2 /home/.bin/sup
parentAutopickup rings (diff)
downloadsrc-d3aa30927d962a2e8550c5979bce6b3bdb6dda2d.tar.gz
src-d3aa30927d962a2e8550c5979bce6b3bdb6dda2d.zip
Add up, sup
Diffstat (limited to 'home/.bin/sup')
-rwxr-xr-xhome/.bin/sup7
1 files changed, 7 insertions, 0 deletions
diff --git a/home/.bin/sup b/home/.bin/sup
new file mode 100755
index 00000000..7a69d9d0
--- /dev/null
+++ b/home/.bin/sup
@@ -0,0 +1,7 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset -o pipefail
+
+dir=$(mktemp -d)
+screencapture -i "$dir/capture.png"
+up "$dir/capture.png"
+rm -r "$dir"
>2020-09-11Remove NetBSD from install scriptJune McEnroe I never use it. 2020-09-11Use MacPorts rather than pkgsrcJune McEnroe My system is probably such a mess now... 2020-09-11Add debian VM name to sshJune McEnroe 2020-09-11Add influencer tweetJune McEnroe 2020-09-10Add The Kingdom of GodsJune McEnroe Reading has really slowed down :( 2020-09-07Add SunglassesJune McEnroe An IRC find. 2020-09-06Add Between the BreathsJune McEnroe One of those good songs from a soundtrack of a film that probably isn't? The summary sounds a lot more interesting than the title implies, at least. 2020-09-04Open /dev/tty in nudgeJune McEnroe This makes it work even when it's run connected to a pipe, i.e. as the notify command of catgirl... 2020-09-04Add nudgeJune McEnroe 2020-09-03Build fbclock with -lzJune McEnroe I guess this got lost somewhere, long ago... 2020-08-29Add tweets from retweetsJune McEnroe